DORGL2(3f)

NAME
DORGL2 - an m by n real matrix Q with orthonormal rows,

SYNOPSIS

SUBROUTINE DORGL2(
    M, N, K, A, LDA, TAU, WORK, INFO )

INTEGER
    INFO, K, LDA, M, N

DOUBLE
    PRECISION A( LDA, * ), TAU( * ), WORK( * )

PURPOSE
DORGL2 generates an m by n real matrix Q with orthonormal rows, which is defined as the first m rows of a product of k elementary reflectors of order n
      Q = H(k) . . . H(2) H(1)
as returned by DGELQF.

ARGUMENTS

M       (input) INTEGER
    The number of rows of the matrix Q. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix Q. N >= M.

K       (input) INTEGER
    The number of elementary reflectors whose product defines the matrix Q. M >= K >= 0.

A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the i-th row must contain the vector which defines the elementary reflector H(i), for i = 1,2,...,k, as returned by DGELQF in the first k rows of its array argument A. On exit, the m-by-n matrix Q.

LDA     (input) INTEGER
    The first dimension of the array A. LDA >= max(1,M).

TAU     (input) DOUBLE PRECISION array, dimension (K)
    TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by DGELQF.

WORK    (workspace) DOUBLE PRECISION array, dimension (M)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument has an illegal value